ChiliProject - Feature # 808: Show description changes on issues in a diff

Status: Closed Priority: Normal

Author: Eric Davis Category: Journals / History
Created: 2011-12-28 Assignee: Eric Davis
Updated: 2011-12-29 Due date:

Remote issue URL:

Affected version:

Description: Issue description changes (Journals) should be shown with a diff so it's easier to understand what the change
actually was.

Patch coming soon.

Associated revisions

2008-03-08 10:06 am - Jean-Philippe Lang

Changes 'Fixed version' label to 'Target version' (closes #723, #808).

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1206 €93f8b46-1217-0410-a6f0-8f06a7374b81

2011-12-29 05:35 pm - Eric Davis
[#808] Add routing for journal diffs

2011-12-29 05:35 pm - Eric Davis
[#808] Add JournalsController#diff to diff a single field

2011-12-29 05:35 pm - Eric Davis
[#808] Truncate and show a link to the full journal diff in the issue history

2011-12-29 05:35 pm - Eric Davis
[#808] Show issue description diffs in the lightbox popup

History

2011-12-29 04:40 pm - Eric Davis
- File Selection_030.png added

- Status changed from Open to Closed

Added in commit:f835420 to unstable.

Description changes will now be shown in the history:

# truncated

# with a More link with a full diff of the changes
# with a lightbox style popup that appears if the user has JavaScript enabled (attached screenshot)

Files

Selection_030.png 79.2 kB 2011-12-29 Eric Davis
